GPG 1.4.x v.s 2.x

Werner Koch wk at
Thu Dec 20 16:04:05 CET 2007

On Tue, 18 Dec 2007 19:51, aolsen at said:

> We get files from clients all over the world.  Are there features used in the 2.x versions that 1.4.x cannot handle?

Yes, S/MIME (i.e. CMS/X.509).  However if you are using OpenPGP that
does not effect you.  The OpenPGP code of GnuPG-2 is identically to the
code of GnuPG-1.  The major difference is that gpg2 requires a running
gpg-agent to ask for the passphrase.

If you don't want to change your work environment your best choice is to
go with gnupg 1.4.8



Die Gedanken sind frei.  Auschnahme regelt ein Bundeschgesetz.

More information about the Gnupg-users mailing list